%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pydantic
Version:       2.10.6
Release:       1mamba
Summary:       Data validation using Python type hints
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pydantic/pydantic
Source:        https://pypi.debian.net/pydantic/pydantic-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(annotated-types)
BuildRequires: python3.11dist(pydantic-core)
BuildRequires: python3.11dist(typing-extensions)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pydantic-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Sat Jan 25 2025 Automatic Build System <autodist@openmamba.org> 2.10.6-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 2.10.5-1mamba
- automatic version update by autodist

* Thu Dec 19 2024 Automatic Build System <autodist@openmamba.org> 2.10.4-1mamba
- automatic version update by autodist

* Wed Dec 04 2024 Automatic Build System <autodist@openmamba.org> 2.10.3-1mamba
- automatic version update by autodist

* Tue Nov 26 2024 Automatic Build System <autodist@openmamba.org> 2.10.2-1mamba
- automatic version update by autodist

* Fri Nov 22 2024 Automatic Build System <autodist@openmamba.org> 2.10.1-1mamba
- automatic version update by autodist

* Thu Nov 21 2024 Automatic Build System <autodist@openmamba.org> 2.10.0-1mamba
- automatic version update by autodist

* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 2.9.2-1mamba
- automatic version update by autodist

* Mon Sep 09 2024 Automatic Build System <autodist@openmamba.org> 2.9.1-1mamba
- automatic version update by autodist

* Fri Sep 06 2024 Automatic Build System <autodist@openmamba.org> 2.9.0-1mamba
- automatic version update by autodist

* Thu Jul 04 2024 Automatic Build System <autodist@openmamba.org> 2.8.2-1mamba
- automatic version update by autodist

* Tue Jul 02 2024 Automatic Build System <autodist@openmamba.org> 2.8.0-1mamba
- automatic version update by autodist

* Wed Jun 12 2024 Automatic Build System <autodist@openmamba.org> 2.7.4-1mamba
- automatic version update by autodist

* Tue Jun 04 2024 Automatic Build System <autodist@openmamba.org> 2.7.3-1mamba
- automatic version update by autodist

* Wed May 29 2024 Automatic Build System <autodist@openmamba.org> 2.7.2-1mamba
- automatic version update by autodist

* Tue Apr 23 2024 Automatic Build System <autodist@openmamba.org> 2.7.1-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 2.7.0-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 2.6.4-1mamba
- automatic version update by autodist

* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 2.6.3-1mamba
- automatic version update by autodist

* Fri Feb 23 2024 Automatic Build System <autodist@openmamba.org> 2.6.2-1mamba
- automatic version update by autodist

* Tue Feb 06 2024 Automatic Build System <autodist@openmamba.org> 2.6.1-1mamba
- automatic version update by autodist

* Mon Jan 29 2024 Automatic Build System <autodist@openmamba.org> 2.6.0-1mamba
- automatic version update by autodist

* Sat Jan 27 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.3-1mamba
- package created using the webbuild interface
